Nightingale pas facile d’installer

Installer Nightingale sur Ubuntu 20.04

Je reviens sur mon expérience d’installer Nightingale sur la dernière version d’Ubuntu. Dans un premier temps je suis allé sur le site de Nightingale pour télécharger les sources et compiler le programme. Compiler j’entends créer un exécutable que je puis lancer sur mon pc. Une fois le fichier décompresser, vous allez dans le repertoire ou se trouve les fichiers décompresser. Puis vous ouvrez un terminal dans se repertoire afin de lancer ./nightingale-bin.

Voici ce que j’ai obtenu sur mon systeme ubuntu :

erreur d'affichage lors de l'execution du logiciel nightingale

Le logiciel se lance mais les écritures des menus et des icones sont illisibles. Donc inutilisables en tant que tel ! C’est bien dommage. Mais je me suis entête à trouver une solution de contournement. 

C’est décidé je pars me ressourcer !

vous avez plusieurs manières d’installer un logiciel : 

  • via le software center
  • via la ligne de commande apt install
  • via snap
  • et encore via flatpack
  • ou en récupérant les fichiers sources sur github par exemple

J’ai vérifié les premières méthodes mais cela n’a rien donné. J’ai utilisé la dernière façon. ainsi cela me permet d’utiliser linux de façon plus approfondi. 

Compiler une autre version de Nightingale

On ouvre un terminal, généralement je me place dans le repertoire téléchargements pour faire cela. et avec la commande suivant on va télécharger le répertoire ou se trouves les sources à télécharger :

Il vous faut git pour cela, faite avant un sudo apt install git
papilinux@papilinux-ubuntu:~/Téléchargements$ git clone https://github.com/nightingale-media-player/nightingale-hacking

on entre dans le repertoire on lance le script :

papilinux@papilinux-ubuntu:~/Téléchargements/nightingale-
hacking$sudo ./build.sh

voici les erreurs que j’ai obtenu :

configure: error: Library requirements (gstreamer-0.10 >= 0.10.1 gstreamer-plugins-base-0.10 >= 0.10.7) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them. make: *** [Makefile:168: /home/papilinux/Téléchargements/nightingale-hacking/compiled/config.status] Error 1

Tout cela me fait dire que ce logiciel ne sera pas pour l’instant possible d’être exploiter correctement sous ubuntu 20.04 LTS. Je vais donc utiliser le logiciel natif Rythmbox. Je souahitais utiliser un logiciel un peu plus récent, mais tant pis on fera avec. 

Curieusement je n’ai pas trouvé à disposition dans le software center des logiciels de gestion de librairie musicale. Il propose souvent des clients pour écouter du streaming, ce n’est pas vraiment ce que je veux.

1 commentaire pour “Nightingale pas facile d’installer”

Leave a Reply

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *

Related Post

error

Le blog vous plait ? partagez le !